> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sources



## OpenAPI

````yaml /openapi.json get /v1/wikis/{wiki_id}/sources
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.1.11
servers:
  - url: https://almanac-backend-83vc.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/wikis/{wiki_id}/sources:
    get:
      summary: Sources
      operationId: sources_v1_wikis__wiki_id__sources_get
      parameters:
        - in: path
          name: wiki_id
          required: true
          schema:
            title: Wiki Id
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          schema:
            default: 0
            title: Offset
            type: integer
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/HostedSourceDTO'
                title: Response Sources V1 Wikis  Wiki Id  Sources Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HostedSourceDTO:
      additionalProperties: false
      properties:
        area:
          title: Area
          type: string
        created_at:
          title: Created At
          type: string
        folder:
          title: Folder
          type: string
        import_batch_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Import Batch Id
        mime_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Mime Type
        name:
          title: Name
          type: string
        original_filename:
          title: Original Filename
          type: string
        path:
          title: Path
          type: string
        sha256:
          anyOf:
            - type: string
            - type: 'null'
          title: Sha256
        size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Size Bytes
        source_id:
          title: Source Id
          type: string
        status:
          $ref: '#/components/schemas/HostedSourceStatus'
        status_label:
          title: Status Label
          type: string
        status_state:
          enum:
            - ready
            - running
            - failed
            - unknown
          title: Status State
          type: string
        updated_at:
          title: Updated At
          type: string
        wiki_id:
          title: Wiki Id
          type: string
      required:
        - source_id
        - wiki_id
        - import_batch_id
        - path
        - area
        - folder
        - name
        - original_filename
        - mime_type
        - size_bytes
        - sha256
        - status
        - status_state
        - status_label
        - created_at
        - updated_at
      title: HostedSourceDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    HostedSourceStatus:
      enum:
        - uploaded
        - completed
        - failed
      title: HostedSourceStatus
      type: string
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````